### 4.5.1 def declarations

Syntax:
  `def` name `=` expression `;`

Purpose:
  defines an object of the same type as the right-hand side.

Default:
  none

Note:
  This is useful if the right-hand side may be of variable type as a consequence of a computation (e.g., ideal or module or matrix). It may also be used in procedures to give the basering a name which is local to the procedure.

Example:

        def i=2;
        typeof(i);
      ==> int

See typeof.

User manual for Singular version 4.4.1, 2025, generated by texi2html.